Monitoring::Livestatus::Class::Base::Abstract(3pm)

NAME
Monitoring::Livestatus::Class::Base::Abstract - Base class to generate livestatus statments

  SYNOPSIS

ATTRIBUTES

  ctx
Reference to context object Monitoring::Livestatus::Class

  mode

  compining_prefix

METHODS

  apply
Example usage:

    my $filter_obj         = Monitoring::Livestatus::Class::Abstract::...->new();
    $filter_obj->apply( { name => 'localhost' } );
    $filter_obj->apply( { name => [ 'localhost', 'gateway' ] } );
    $filter_obj->apply( [ { name => 'localhost' }, { name => 'gateway' } ] );

Returns: @statments|\@statments

INTERNAL METHODS

build_mode
build_compining_prefix
build_operators
_execute
_recurse_cond
_cond_UNDEF
_cond_ARRAYREF
_cond_HASHREF
_cond_hashpair_SCALAR
_cond_hashpair_ARRAYREF
_cond_hashpair_HASHREF
_refkind
_dispatch_refkind
_METHOD_FOR_refkind

AUTHOR
See "AUTHOR" in Monitoring::Livestatus::Class and "CONTRIBUTORS" in Monitoring::Livestatus::Class.

COPYRIGHT & LICENSE
Copyright 2009 Robert Bohne.

This program is free software; you can redistribute it and/or modify it under the terms of either: the GNU General Public License as published by the Free Software Foundation; or the Artistic License.

See http://dev.perl.org/licenses/ for more information.